[![Build Status](https://img.shields.io/travis/AntiPhotonltd/nagios_output/master.svg)](https://travis-ci.org/AntiPhotonltd/nagios_output)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/AntiPhotonltd/nagios_output.svg)](https://github.com/AntiPhotonltd/nagios_output/releases/latest)
[![Gem Version](https://badge.fury.io/rb/nagios_output.svg)](https://badge.fury.io/rb/nagios_output)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/AntiPhotonltd/nagios_output/latest.svg)](https://github.com/AntiPhotonltd/nagios_output/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/AntiPhotonltd/nagios_output.svg)](https://github.com/AntiPhotonltd/nagios_output)
[![GitHub contributors](https://img.shields.io/github/contributors/AntiPhotonltd/nagios_output.svg)](https://github.com/AntiPhotonltd/nagios_output)

# Nagios Output

A simple wrapper for creating nagios consumable output - including exit codes.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'nagios_output'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install nagios_output

## Usage

### OK Messages

```ruby
  require 'nagios_output'

  NagiosOutput::Nagios.ok('Everything is ok')

  # or

  'Everything is ok'.nagios_ok
```

### Warning Messages

```ruby
  require 'nagios_output'

  NagiosOutput::Nagios.warning('This is a warning')

  # or

  'This is a warning'.nagios_warning
```

### Critical Messages

```ruby
  require 'nagios_output'

  NagiosOutput::Nagios.critical('Everything is on fire')

  # or

  'Everything is on fire'.nagios_critical
```

### Unknown Messages

```ruby
  require 'nagios_output'

  NagiosOutput::Nagios.unknown('Everything is erm...')

  # or

  'Everything is erm...'.nagios_unknown
```

## Colours

By default output is coloured however this can be turned off (or back on)

```ruby
  require 'nagios_output'

  NagiosOutput::Nagios.use_colour(false)

  # or

  NagiosOutput::Nagios.use_color(false)
```

You can also turn colour off for single alerts

```ruby
  require 'nagios_output'

  'message'.nagios_ok(false)
  'message'.nagios_warning(false)
  'message'.nagios_critical(false)
  'message'.nagios_unknown(false)

  # or

  'message'.nagios_ok(false)
  'message'.nagios_warning(false)
  'message'.nagios_critical(false)
  'message'.nagios_unknown(false)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/AntiPhotonltd/nagios_output. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the NagiosOutput project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/AntiPhotonltd/nagios_output/blob/master/CODE_OF_CONDUCT.md).
